## cvise 2.11.0

=== debian/changelog ===
cvise (2.11.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Nov 2024 17:44:19 +0100
