## cvise 2.12.0

=== clang_delta/CMakeLists.txt ===
## -*- mode: CMake -*-
##
## Copyright (c) 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 The University of Utah
## All rights reserved.
##
## This file is distributed under the University of Illinois Open Source
## License.  See the file COPYING for details.

###############################################################################

cmake_minimum_required(VERSION 3.14)
project(clang_delta)

###############################################################################

# find_package(LLVM) is done by the topmost "CMakeLists.txt" file.
# find_package(Clang) is done by the topmost "CMakeLists.txt" file.

# Generate file "git_version.cpp".
#
configure_file("git_version.cpp.in" "git_version.cpp" @ONLY)

function(configure_one_file path)
  configure_file(
    "${clang_delta_SOURCE_DIR}/${path}"
    "${clang_delta_BINARY_DIR}/${path}"
    COPYONLY
  )
endfunction(configure_one_file)

set(SOURCE_FILES
  "/tests/test_clang_delta.py"
  "/tests/aggregate-to-scalar/cast.c"
  "/tests/aggregate-to-scalar/cast.output"
  "/tests/aggregate-to-scalar/test1.c"
  "/tests/aggregate-to-scalar/test1.output"
  "/tests/aggregate-to-scalar/test2.c"
  "/tests/aggregate-to-scalar/test2.output"
  "/tests/aggregate-to-scalar/test3.c"
  "/tests/aggregate-to-scalar/test3.output"
  "/tests/aggregate-to-scalar/test4.c"
  "/tests/aggregate-to-scalar/test4.output"
  "/tests/aggregate-to-scalar/test5.cc"
  "/tests/aggregate-to-scalar/test5.output"
  "/tests/aggregate-to-scalar/test6.cc"
  "/tests/aggregate-to-scalar/test6.output"
  "/tests/callexpr-to-value/macro1.c"
  "/tests/callexpr-to-value/macro1.output"
  "/tests/callexpr-to-value/macro2.c"
  "/tests/callexpr-to-value/macro2.output"
  "/tests/callexpr-to-value/test1.c"
  "/tests/callexpr-to-value/test1.output"
  "/tests/callexpr-to-value/test2.c"
  "/tests/callexpr-to-value/test2.output"
  "/tests/class-to-struct/class-to-struct1.C"
  "/tests/class-to-struct/class-to-struct1.output"
  "/tests/class-to-struct/class-to-struct-forward.C"
  "/tests/class-template-to-class/test1.cc"
  "/tests/class-template-to-class/test1.output"
  "/tests/copy-propagation/copy1.cpp"
  "/tests/copy-propagation/copy1.output"
  "/tests/copy-propagation/copy2.cpp"
  "/tests/copy-propagation/copy2.output"
  "/tests/empty-struct-to-int/empty-struct.cpp"
  "/tests/empty-struct-to-int/empty-struct.output"
  "/tests/empty-struct-to-int/empty-struct2.cpp"
  "/tests/empty-struct-to-int/empty-struct2.output"
  "/tests/empty-struct-to-int/empty-struct3.cpp"
  "/tests/empty-struct-to-int/empty-struct3.output"
  "/tests/empty-struct-to-int/empty-struct4.cpp"
  "/tests/empty-struct-to-int/empty-struct4.output"
  "/tests/empty-struct-to-int/empty-struct5.cpp"
  "/tests/empty-struct-to-int/empty-struct5.output"
  "/tests/empty-struct-to-int/empty-struct6.c"
  "/tests/empty-struct-to-int/empty-struct6.output"
  "/tests/empty-struct-to-int/empty-struct7.c"
  "/tests/empty-struct-to-int/empty-struct7.output"
  "/tests/empty-struct-to-int/struct_int.c"
  "/tests/empty-struct-to-int/struct_int.output"
  "/tests/empty-struct-to-int/test1.cc"
  "/tests/empty-struct-to-int/test1.output"
  "/tests/empty-struct-to-int/test2.cc"
  "/tests/empty-struct-to-int/test2.output"
  "/tests/empty-struct-to-int/test3.c"
  "/tests/empty-struct-to-int/test3.output"
  "/tests/instantiate-template-param/default_param.cc"
  "/tests/instantiate-template-param/default_param.output"
  "/tests/instantiate-template-param/test1.cc"
  "/tests/instantiate-template-param/test1.output"
  "/tests/instantiate-template-param/test2.cc"
  "/tests/instantiate-template-param/test2.output"
  "/tests/instantiate-template-param/test3.cc"
  "/tests/instantiate-template-param/test4.cc"
  "/tests/instantiate-template-param/test4.output"
  "/tests/instantiate-template-param/test5.cc"
  "/tests/instantiate-template-param/test5.output"
  "/tests/instantiate-template-param/test6.cc"
  "/tests/instantiate-template-param/test6.output"
  "/tests/instantiate-template-param/test7.cc"
  "/tests/instantiate-template-param/test7.output"
  "/tests/instantiate-template-param/test8a.cc"
  "/tests/instantiate-template-param/test8a.output"
  "/tests/instantiate-template-param/test8b.cc"
  "/tests/instantiate-template-param/test8b.output"
  "/tests/instantiate-template-param/test8c.cc"
  "/tests/instantiate-template-param/test8c.output"
  "/tests/local-to-global/macro.c"
  "/tests/local-to-global/macro.output"
  "/tests/local-to-global/unnamed_1.c"
  "/tests/local-to-global/unnamed_1.output"
  "/tests/local-to-global/unnamed_2.c"
  "/tests/local-to-global/unnamed_2.output"
  "/tests/local-to-global/unnamed_3.c"
  "/tests/local-to-global/unnamed_3.output"
  "/tests/param-to-global/macro.c"
  "/tests/param-to-global/macro.output"
  "/tests/reduce-array-dim/non-type-temp-arg.cpp"
  "/tests/reduce-array-dim/non-type-temp-arg.output"
  "/tests/reduce-pointer-level/scalar-init-expr.cpp"
  "/tests/reduce-pointer-level/scalar-init-expr.output"
  "/tests/merge-base-class/test1.cc"
  "/tests/merge-base-class/test1.output"
  "/tests/merge-base-class/test2.cc"
  "/tests/merge-base-class/test2.output"
  "/tests/merge-base-class/test3.cc"
  "/tests/merge-base-class/test3.output"
  "/tests/remove-base-class/test1.cc"
  "/tests/remove-base-class/test1.output"
  "/tests/remove-base-class/test2.cc"
  "/tests/remove-base-class/test2.output"
  "/tests/remove-base-class/test3.cc"
  "/tests/remove-base-class/test3.output"
  "/tests/remove-base-class/test4.cc"
  "/tests/remove-base-class/test4.output"
  "/tests/move-definition-to-declaration/func1.cc"
  "/tests/move-definition-to-declaration/func1.output"
  "/tests/move-definition-to-declaration/func2.cc"
  "/tests/move-definition-to-declaration/func2.output"
  "/tests/move-definition-to-declaration/func3.cc"
  "/tests/move-definition-to-declaration/func3.output"
  "/tests/move-definition-to-declaration/func4.cc"
  "/tests/move-definition-to-declaration/func4.output"
  "/tests/move-definition-to-declaration/func5.cc"
  "/tests/move-definition-to-declaration/func5.output"
  "/tests/move-definition-to-declaration/func6.cc"
  "/tests/move-definition-to-declaration/struct1.cc"
  "/tests/move-definition-to-declaration/struct1.output"
  "/tests/move-definition-to-declaration/struct2.cc"
  "/tests/move-definition-to-declaration/struct2.output"
  "/tests/move-definition-to-declaration/var1.cc"
  "/tests/move-definition-to-declaration/var1.output"
  "/tests/remove-namespace/macro.cpp"
  "/tests/remove-namespace/macro.output"
  "/tests/remove-namespace/macro.output2"
  "/tests/remove-namespace/macro.output3"
  "/tests/remove-namespace/macro.output4"
  "/tests/remove-namespace/macro.output5"
  "/tests/remove-namespace/namespace.cpp"
  "/tests/remove-namespace/namespace.output"
  "/tests/remove-namespace/namespace.output2"
  "/tests/remove-namespace/namespace.output3"
  "/tests/remove-namespace/namespace2.cpp"
  "/tests/remove-namespace/namespace2.output"
  "/tests/remove-namespace/namespace2.output2"
  "/tests/remove-namespace/namespace3.cpp"
  "/tests/remove-namespace/namespace3.output"
  "/tests/remove-namespace/namespace3.output2"
  "/tests/remove-namespace/namespace3.output3"
  "/tests/remove-namespace/namespace4.cpp"
  "/tests/remove-namespace/namespace4.output"
  "/tests/remove-namespace/namespace5.cpp"
  "/tests/remove-namespace/namespace5.output"
  "/tests/remove-namespace/namespace5.output2"
  "/tests/remove-namespace/namespace5.output3"
  "/tests/remove-namespace/namespace5.output4"
  "/tests/remove-namespace/namespace6.cpp"
  "/tests/remove-namespace/namespace6.output"
  "/tests/remove-namespace/namespace6.output2"
  "/tests/remove-namespace/namespace7.cpp"
  "/tests/remove-namespace/namespace7.output"
  "/tests/remove-namespace/namespace7.output2"
  "/tests/remove-namespace/namespace7.output3"
  "/tests/remove-namespace/namespace8.cpp"
  "/tests/remove-namespace/namespace8.output"
  "/tests/remove-namespace/namespace8.output2"
  "/tests/remove-namespace/namespace9.cpp"
  "/tests/remove-namespace/namespace9.output"
  "/tests/remove-namespace/namespace10.cpp"
  "/tests/remove-namespace/namespace10.output"
  "/tests/remove-namespace/namespace10.output2"
  "/tests/remove-namespace/namespace11.cpp"
  "/tests/remove-namespace/namespace11.output"
  "/tests/remove-namespace/namespace11.output2"
  "/tests/remove-namespace/namespace12.cpp"
  "/tests/remove-namespace/namespace12.output"
  "/tests/remove-namespace/namespace12.output2"
  "/tests/remove-namespace/namespace12.output3"
  "/tests/remove-namespace/namespace13.cpp"
  "/tests/remove-namespace/namespace13.output"
  "/tests/remove-namespace/namespace13.output2"
  "/tests/remove-namespace/namespace14.cpp"
  "/tests/remove-namespace/namespace14.output"
  "/tests/remove-namespace/namespace15.cpp"
  "/tests/remove-namespace/namespace15.output"
  "/tests/remove-namespace/namespace15.output2"
  "/tests/remove-namespace/namespace15.output3"
  "/tests/remove-enum-member-value/builtin_macro.c"
  "/tests/remove-enum-member-value/builtin_macro.output"
  "/tests/remove-unused-enum-member/range.c"
  "/tests/remove-unused-enum-member/range.output"
  "/tests/remove-nested-function/remove_nested_func1.cc"
  "/tests/remove-nested-function/remove_nested_func1.output"
  "/tests/remove-try-catch/try-catch-1.cpp"
  "/tests/remove-try-catch/try-catch-1.output"
  "/tests/remove-try-catch/try-catch-2.cpp"
  "/tests/remove-try-catch/try-catch-2.output"
  "/tests/remove-unused-field/designated1.c"
  "/tests/remove-unused-field/designated1.output"
  "/tests/remove-unused-field/designated2.c"
  "/tests/remove-unused-field/designated2.output"
  "/tests/remove-unused-field/designated3.c"
  "/tests/remove-unused-field/designated3.output"
  "/tests/remove-unused-field/designated4.c"
  "/tests/remove-unused-field/designated4.output"
  "/tests/remove-unused-field/designated5.c"
  "/tests/remove-unused-field/designated5.output"
  "/tests/remove-unused-field/unused_field1.c"
  "/tests/remove-unused-field/unused_field1.output"
  "/tests/remove-unused-field/unused_field2.c"
  "/tests/remove-unused-field/unused_field2.output"
  "/tests/remove-unused-field/unused_field3.cpp"
  "/tests/remove-unused-field/unused_field3.output"
  "/tests/remove-unused-function/class.cc"
  "/tests/remove-unused-function/class.output"
  "/tests/remove-unused-function/const.cc"
  "/tests/remove-unused-function/const.output"
  "/tests/remove-unused-function/const.output2"
  "/tests/remove-unused-function/default.cc"
  "/tests/remove-unused-function/default.output"
  "/tests/remove-unused-function/default.output2"
  "/tests/remove-unused-function/delete.cc"
  "/tests/remove-unused-function/delete.output"
  "/tests/remove-unused-function/delete2.cc"
  "/tests/remove-unused-function/delete2.output"
  "/tests/remove-unused-function/delete2.output2"
  "/tests/remove-unused-function/delete2.output3"
  "/tests/remove-unused-function/delete2.output4"
  "/tests/remove-unused-function/inline_ns.cc"
  "/tests/remove-unused-function/inline_ns.output"
  "/tests/remove-unused-function/macro1.cc"
  "/tests/remove-unused-function/macro1.output"
  "/tests/remove-unused-function/macro2.cc"
  "/tests/remove-unused-function/macro2.output"
  "/tests/remove-unused-function/macro3.cc"
  "/tests/remove-unused-function/macro3.output"
  "/tests/remove-unused-function/template1.cc"
  "/tests/remove-unused-function/template1.output"
  "/tests/remove-unused-function/template2.cc"
  "/tests/remove-unused-function/template2.output"
  "/tests/remove-unused-function/unused-funcs.cc"
  "/tests/remove-unused-function/unused-funcs.output"
  "/tests/remove-unused-function/cyclic-namespace-using.cc"
  "/tests/remove-unused-var/struct1.c"
  "/tests/remove-unused-var/struct1.output"
  "/tests/remove-unused-var/struct2.c"
  "/tests/remove-unused-var/struct2.output"
  "/tests/remove-unused-var/unused_var.cpp"
  "/tests/remove-unused-var/unused_var.output"
  "/tests/rename-class/base_specifier.cpp"
  "/tests/rename-class/base_specifier.output"
  "/tests/rename-class/bool.cc"
