=== debian/changelog ===
cvise (2.12.0-3) unstable; urgency=medium

  * Also build using LLVM 21 on hurd-i386. Closes: #
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Feb 2026 13:54:19 +0100

cvise (2.12.0-2) unstable; urgency=medium

  * Build using LLVM 21, except on hurd-i386.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Nov 2025 21:27:15 +0100

cvise (2.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Build using LLVM 19, newer stable versions not yet in testing.
  * Fix build using LLVM 21, patch taken from the trunk.

 -- Matthias Klose <doko@debian.org>  Sun, 05 Oct 2025 11:24:25 +0200

cvise (2.11.0-1ubuntu1) plucky; urgency=medium

  * Build using LLVM 20, patch taken from the trunk.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 21 Feb 2025 12:05:34 +0100
