=== debian/control ===
--- 
+++ 
@@ -13,16 +13,17 @@
   python3-pebble,
   python3-psutil,
   python3-pytest <!nocheck>,
-  llvm-19-dev, libclang-19-dev, clang-19, clang-format-19,
-#  clang-tools-19, clang-tidy-19, clangd-19,
+  llvm-21-dev [hurd-i386], libclang-21-dev [hurd-i386], clang-21 [hurd-i386], clang-format-21 [hurd-i386],
+  llvm-21-dev [!hurd-i386], libclang-21-dev [!hurd-i386], clang-21 [!hurd-i386], clang-format-21 [!hurd-i386],
   unifdef,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://github.com/marxin/cvise
 
 Package: cvise
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
-  clang-format-19,
+  clang-format-21 [hurd-i386],
+  clang-format-21 [!hurd-i386],
   python3,
   python3-chardet,
   python3-pebble,
