=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-CLANG_V=19
+ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386))
+  CLANG_V=21
+else
+  CLANG_V=21
+endif
 V=$(shell dpkg-parsechangelog -S Version | sed 's/-.*$$//')
 
 %:
@@ -26,7 +30,9 @@
 
 ifeq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
 	if which help2man >/dev/null 2>&1; then \
-	  DESTDIR=$(CURDIR)/debian/cvise help2man --name='super-parallel Python port of the C-Reduce project' \
+	  DESTDIR=$(CURDIR)/debian/cvise \
+	  PYTHONPATH=$(CURDIR)/debian/cvise/usr/share \
+	    help2man --name='super-parallel Python port of the C-Reduce project' \
 	    --version-string=$(V) \
 	    --no-info \
 	    debian/cvise/usr/bin/cvise > debian/cvise.1; \
